# norootforbuild

# We need this for /var/lib/osc-plugins ownership
BuildRequires:  osc
BuildRequires:  autoconf
BuildRequires:  automake
Name:           osc-plugins-gnome
Version:        0.4.27
Release:        4.1
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.gz
Patch0:         osc-plugins-gnome-dumb-rpmlint.patch
Patch1:         osc-plugins-gnome-new_plugin_mechanism.diff
Patch2:         osc-plugins-gnome-pyexecdir.diff
Group:          Development/Tools/Other
Summary:        Plugins for the osc tool to assist with GNOME development and maintenance
URL:            http://en.opensuse.org/GNOME/OSC_plugins
Requires:       diffutils
%if 0%{?!fedora_version:1} && 0%{?!centos_version:1} && 0%{?!scientificlinux_version:1} && 0%{?!rhel_version:1}
# We recommend osc rather than require it so that people running
# osc out of svn can still install the plugins.
Recommends:     osc >= 0.110
# The osc-gnome plugin was renamed osc-collab, and is now in a separate package.
Recommends:     osc-plugin-collab
%endif
Obsoletes:      osc-listpatches
Provides:       osc-listpatches

%if 0%{?suse_version:1} && 0%{?suse_version} <= 1110
# for suse_version <= 1110 py_sitedir should be used
%define python_sitelib %py_sitedir
%endif

%description
This package is a collection of osc plugins to assist maintenance of GNOME
packages.

See http://en.opensuse.org/GNOME/OSC_plugins for an idea of what we are trying
to achieve and http://en.opensuse.org/Build_Service/CLI for general
information about osc.

%prep
%setup
%patch0 -p2
%patch1 -p0
%if 0%{?!suse_version:1} || 0%{?suse_version} > 1110
%patch2 -p0
%endif

%build
autoreconf -fi
%configure

%install
%if 0%{?make_install:1}
%make_install
%else
%makeinstall
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS COPYING
/var/lib/osc-plugins/*.py*
%{_datadir}/%{name}
%{python_sitelib}/oscpluginsgnome
%{_bindir}/spec2series

%changelog
* Tue Aug 26 2014 suse-tux@gmx.de
- osc-plugins-gnome-new_plugin_mechanism.diff: patch osc-createspec.py.in instead
  of osc-createspec.py
* Tue Jul  9 2013 suse-tux@gmx.de
- do not use the "Recommends" tag when building for fedora, centos, scientificlinux and rhel
- added osc-plugins-gnome-pyexecdir.diff in order to fix the build
  process for fedora (the oscpluginsgnome/Makefile.am used pyexecdir
  which is wrong because the installed files are pure python modules)
* Mon Jul  8 2013 suse-tux@gmx.de
- added osc-plugins-gnome-new_plugin_mechanism.diff in order to adapt
  the code to osc's new plugin mechanism
* Mon Sep 14 2009 vuntz@opensuse.org
- Update to version 0.4.27:
  + Remove osc gnome plugin, it has been renamed to osc collab and
    is now living in the osc-plugin-collab package.
- Recommends osc-plugin-collab for smooth transition for old osc
  gnome plugin.
* Sun Aug 16 2009 vuntz@novell.com
- Update to version 0.4.26:
  + osc gnome:
  - Add --no-cache option to bypass local cache
  - Adapt for API changes in osc
  - Rewrite some code to directly talk to the build service
    instead of using osc API, because it's sometimes hiding some
    details we need
  - Fix comparison of versions when rpm cannot be used
  - Correctly handle Source tag using defines in spec file
  - Port to the new XML API for server communication
  - Many speedups thanks to the new XML API
  - Ignore links to packages in the same project for todo/ta
  - Add more useful messages in todoadmin
  - Do not show missing upstream data in todoadmin by default and
    add --include-upstream option
  - Many bug fixes and cleanups
* Thu Jul 16 2009 vuntz@novell.com
- Update to version 0.4.25:
  + osc gnome:
  - build: also print details for 'finished'
  - support the ignore-upstream metadata
  - support per-project reservations
* Fri Jun 12 2009 vuntz@novell.com
- Update to version 0.4.24:
  + Update the template for GNOME spec file.
  + osc gnome:
  - make it work with newer (and older) versions of osc
  - fix crashes
  - also recompress tarballs ending with .tgz to bz2
  - stop update/setup if there are uncommitted changes
  - fix todo output when there's no parent project
  - use email key from ~/.oscrc when available
  - build: add details for some results
* Fri Mar 27 2009 vuntz@novell.com
- Update to version 0.4.23:
  + osc gnome: do not hardcode GNOME:Factory nor openSUSE:Factory
    anywhere anymore. It's only used as default values now.
* Fri Mar 13 2009 vuntz@novell.com
- Update to version 0.4.22:
  + Many "osc gnome" fixes.
  + Small "osc mawbuild" fixes.
* Tue Jan 20 2009 vuntz@novell.com
- Copy to home:vuntz, the goal being to push it in openSUSE:Tools.
  openSUSE:Tools should become the real home for this package, so
  that other people can use the plugins developed by the GNOME
  team.
* Fri Nov  7 2008 maw@suse.de
- Update to version 0.4.21:
  + Fix a crash in osc gnome buildsubmit
  + Add a terrible, embarassing special case to osc mawbuild.
* Thu Oct 30 2008 maw@suse.de
- Update to version 0.4.20:
  + Improvements to osc pendingreqs:
  * Now accepts -o/--output arguments, which should always be
    coherent
  * Output in general should be more coherent.
* Wed Oct 29 2008 maw@suse.de
- Update to version 0.4.19:
  + Minor changes.
* Fri Oct 24 2008 maw@suse.de
- Update to version 0.4.18:
  + Make submitreqlist not show uninteresting cached results.
* Fri Oct 24 2008 maw@suse.de
- Recommend osc >= 0.110.
* Fri Oct 24 2008 maw@suse.de
- Update to version 0.4.17:
  + Fix build on SLE 10 (on single arch platforms, anyway)
  + Lots of osc gnome improvements.
* Thu Oct 23 2008 maw@suse.de
- Recommend osc >= 0.109.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.4.16:
  + Make osc comfysubmit take an option to override some of its
    configuration settings.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.4.15:
  + Make osc pendingreqs much faster (and probably a lot more
    accurate to boot)
  + Make osc comfydiff work, and also allow the user to override
    some of its configuration settings.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.4.14.1:
  + Remove some debug spew inadvertently left behind.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.4.14:
  + osc submitreqlist now can show submitrequests for multiple
    projects; this requires changing "favorite-project" in ~/.oscrc
    to "favorite-projects".
* Tue Oct 21 2008 maw@suse.de
- Update to version 0.4.12:
  + More enhancements to the osc gnome plugin.
* Thu Oct 16 2008 maw@suse.de
- Add osc-plugins-gnome-dumb-rpmlint.patch to work around
  rpmlint being dumb.
* Thu Oct 16 2008 maw@suse.de
- Fix file list.
* Wed Oct 15 2008 maw@novell.com
- Update to version 0.4.11:
  + Various enhancements to the osc gnome plugin.
* Mon Sep 22 2008 maw@suse.de
- Update to version 0.4.10:
  + Fewer strange surprises with the mawbuild plugin
  + Install python utilities in the proper place, enabling builds
    against Factory to succeed once more
  + More updates to the gnome plugin.
* Fri Sep 19 2008 maw@suse.de
- Update to version 0.4.7:
  + Fix dumb bugs.
* Fri Sep 19 2008 maw@suse.de
- Update to version 0.4.5:
  + Use ~/.cache/osc/<command> instead of ~/.osc/cache/<command>
    for cached submitreq diffs and submitreq lists
  + Improve comfysubmit
  + Rename the diffreq plugin to submitreqdiff (but diffreq remains
    as an alias for compatibility's sake).
* Thu Sep 18 2008 maw@suse.de
- Update to version 0.4.2:
  + Minor fix in osc comfysubmit
  + Minor fixes in osc gnome.
* Wed Sep 17 2008 maw@suse.de
- Recommend and not require osc, so that the package remains
  properly installable by people running osc out of svn.
* Wed Sep 17 2008 maw@suse.de
- Update to version 0.4.1:
  + Minor fixes.
* Wed Sep 17 2008 maw@suse.de
- Update to version 0.4.0:
  + New plugin, osc gnome, which has many cool features (thanks,
    vuntz).
* Wed Sep 17 2008 maw@suse.de
- Update to version 0.3.17:
  + Minor fixes.
* Wed Aug 27 2008 maw@suse.de
- Require osc >= 0.107.
* Wed Aug  6 2008 maw@suse.de
- Update to version 0.3.16:
  + Small fixes.
* Fri Aug  1 2008 maw@suse.de
- Update to version 0.3.15:
  + Minor stuff.
* Thu Jul 31 2008 maw@suse.de
- Update to version 0.3.14:
  + New plugin: mawbuild.
* Thu Jul 24 2008 maw@suse.de
- Update to version 0.3.13:
  + New plugin: linksame (thanks, JP)
  + New plugin: submitreqaccept.
* Mon Jul 21 2008 maw@suse.de
- Update to version 0.3.11:
  + New plugin: submitreqlist.
* Mon Jul 21 2008 maw@suse.de
- Update to version 0.3.10:
  + New plugin: diffreq.
* Fri Jul 18 2008 maw@suse.de
- Update to version 0.3.9:
  + New plugin: pendingreqs.
* Fri Jul 18 2008 maw@suse.de
- Update to version 0.3.8.2:
  + Make the pacversion plugin actually work.
* Thu Jul 17 2008 maw@suse.de
- Update to version 0.3.8:
  + New plugin: nukebranch
  + New plugin: mybranches.
* Thu Jul  3 2008 maw@suse.de
- Update to version 0.3.6.1:
  + Remove broken plugin that shouldn't have been disted.
* Thu Jul  3 2008 maw@suse.de
- Update to version 0.3.6:
  + New plugin: pacversion.  It's currently very
    network-inefficient, but I couldn't figure out a better way
    to do it.  Maybe later.
* Fri Jan 25 2008 maw@suse.de
- Update to version 0.3.5:
  + New python spec file template
  + New script: spec2series; this isn't a plugin, but it might be
    useful, if rudimentary.
* Fri Nov 16 2007 maw@suse.de
- Update to version 0.3.2:
  + Remove busted functionality from mergefrom.
* Fri Nov 16 2007 maw@suse.de
- Update to version 0.3.1.
* Fri Nov 16 2007 maw@suse.de
- Update to version 0.3.0:
  + New plugin: mergefrom.
* Thu Nov 15 2007 maw@suse.de
- Update to version 0.2.8:
  + New plugin: linkdereference (ld and deref are aliases).
* Wed Nov 14 2007 maw@suse.de
- Update to version 0.2.7.2:
  + The KDE stuff still didn't work; now it does, I swear.
* Wed Nov 14 2007 maw@suse.de
- Update to version 0.2.7.1:
  + The KDE stuff didn't work; now it does; duh.
* Wed Nov 14 2007 maw@suse.de
- Update to version 0.2.7:
  + New specfile template for KDE, cribbed from
    http://en.opensuse.org/KDE/Packaging/Cookbook#Specfile_template.
* Mon Nov  5 2007 maw@suse.de
- Update to version 0.2.6:
  + Fix something dumb.
* Mon Nov  5 2007 maw@suse.de
- Update to version 0.2.5:
  + Recognize more bugzillae.
* Mon Nov  5 2007 maw@suse.de
- Update to version 0.2.4:
  + Recognize "cve" as an abbreviation for CVE entries at
    cve.mitre.org.
* Thu Nov  1 2007 maw@suse.de
- Update to version 0.2.3:
  + Spec file template improvements.
* Wed Oct 31 2007 maw@suse.de
- Update to version 0.2.2:
  + Documentation improvements.
* Wed Oct 31 2007 maw@suse.de
- Update to version 0.2.1:
  + More code cleanups, no user-visible changes.
* Tue Oct 30 2007 maw@suse.de
- Don't build as noarch.
* Tue Oct 30 2007 maw@suse.de
- Update the tarball to version 0.2.0:
  + osc speclint can now work against a spec file in .
  + Various code improvements.
* Fri Oct 26 2007 maw@suse.de
- Update the tarball, fixing the following in the template GNOME
  .spec file:
  + Use CFLAGS, not CCFLAGS
  + Don't package COPYING by default
  + Fix %%_sysconfdir
  + Fix gconf macros.
* Thu Oct 25 2007 maw@suse.de
- Update the tarball, fixing a bug in spec creation.
* Fri Oct 19 2007 maw@suse.de
- Update the source tarball, fixing a minor bug.
* Thu Oct 18 2007 maw@suse.de
- Remove the qr subpackage for the time being.
* Thu Oct 18 2007 maw@suse.de
- Update to version 0.1.1:
  + The createspec plugin is mostly complete
- Minor specfile cleanups.
* Thu Oct 18 2007 maw@suse.de
- New subpackage (empty): qr.
* Tue Oct  2 2007 maw@suse.de
- Update the tarball:
  + New plugin: createspec
* Thu Sep 27 2007 maw@suse.de
- Update the tarball again:
  + Add help documentation for the --summary-only option in
    listpatches.
* Thu Sep 27 2007 maw@suse.de
- The lines in the %%description section should be shorter than
  80 characters; now they are.
* Thu Sep 27 2007 maw@suse.de
- Update the source tarball.
* Thu Sep 27 2007 maw@suse.de
- Remove some spurious (now included in the tarball) files from
  the package's working directory.
* Thu Sep 27 2007 maw@suse.de
- Now call the source tarball osc-plugins-gnome-%%{version}.tar.gz
* Thu Sep 27 2007 maw@suse.de
- Package rename: now it's called osc-plugins-gnome
- Updated patchlint plugin
- New plugin: speclint
- Now build from a autotools-generated tarball.
* Wed Sep 26 2007 maw@suse.de
- Update listpatches and patchlint plugins
- Update the README
- New plugin: speclint.
* Tue Sep 25 2007 maw@suse.de
- Update listpatches and patchlint plugins
- Add a README.
* Tue Sep 25 2007 maw@suse.de
- Add a first cut at a patchlinter; this package will probably
  soon be renamed.
* Tue Sep 25 2007 maw@suse.de
- Update to the latest working version:
  + --package= works
  + Patch summaries are sorted by patch count in descending order
  + Patch summaries are omitted if --package was passed or if
    the repository in question only has one package.
* Tue Sep 25 2007 maw@suse.de
- Build as noarch.
* Tue Sep 25 2007 maw@suse.de
- Add .py suffix to the installed file.
* Mon Sep 24 2007 maw@suse.de
- Initial package.
